// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "dawnsharedlibs.hpp"
#include "../../util/file.hpp"
#include "../../util/csv.hpp"
#include "../../util/xml.hpp"
#include <iostream>
#include <map>
#include <vector>
#include <algorithm>
#include <iterator>

namespace Dawn {
  class DawnTool {
    protected:
      std::vector<std::string> args;

    public:
      DawnTool(const int argc, const char *argv[]);

      virtual int32_t start() = 0;
  };
}